(in-package #:nyxt-user)
(defvar *my-search-engines*
  (list
   '("pkgs" "https://search.nixos.org/packages?channel=unstable&size=50&sort=relevance&type=packages&query=~a" "https://search.nixos.org/packages" )
   '("wiki" "https://de.wikipedia.org/index.php?search=~a" "https://de.wikipedia.org" )
   '("vid" "https://video.lanakk.com/search?q=~a" "https://search.lanakk.com" )
   '("osm" "https://www.openstreetmap.org/search?query=~a" "https://www.openstreetmap.org" )
   '("s" "https://search.lanakk.com/search?q=~a" "https://search.lanakk.com" )
   ))

(define-configuration buffer
  ((search-engines (append %slot-default%
                           (mapcar (lambda (engine) (apply 'make-search-engine engine))
                                   *my-search-engines*)))))
